<div class="card">
    <div class="card-header border-bottom">
        <h4 class="card-title">Changer le mot de passe</h4>
    </div>
    <div class="card-body pt-1">
        <!-- form -->
        <div *ngIf="isLoading; else notLoadingBlock" class="d-flex justify-content-center">
            <div class="spinner-border text-primary" role="status">
    
            </div>
        </div>
        <ng-template #notLoadingBlock>
            <form class="validate-form" [formGroup]="form" (ngSubmit)="submit()">
                <div class="row">
                    <div class="col-12 col-sm-6 mb-1">
                        <label class="form-label" for="account-old-password">Mot de passe actuel</label>
                        <div class="input-group form-password-toggle input-group-merge">
                            <input type="password" class="form-control" id="account-old-password" formControlName="currentPassword" placeholder="Entrer le mot de passe actuel"  />
                            <div class="input-group-text cursor-pointer">
                                <i data-feather="eye"></i>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-6 mb-1">
                        <label class="form-label" for="account-new-password">Nouveau mot de passe</label>
                        <div class="input-group form-password-toggle input-group-merge">
                            <input type="password" id="account-new-password" formControlName="newPassword" class="form-control" placeholder="Entrez un nouveau mot de passe" />
                            <div class="input-group-text cursor-pointer">
                                <i data-feather="eye"></i>
                            </div>
                        </div>
                    </div>
                    <div class="col-12 col-sm-6 mb-1">
                        <label class="form-label" for="account-retype-new-password">Confirmer le nouveau mot de passe</label>
                        <div class="input-group form-password-toggle input-group-merge">
                            <input type="password" class="form-control" id="account-retype-new-password" formControlName="confirmNewPassword" placeholder="Confirmez votre nouveau mot de passe" />
                            <div class="input-group-text cursor-pointer"><i data-feather="eye"></i></div>
                        </div>
                    </div>
                    <!-- <div class="col-12">
                        <p class="fw-bolder">Password requirements:</p>
                        <ul class="ps-1 ms-25">
                            <li class="mb-50">Minimum 8 characters long - the more, the better</li>
                            <li class="mb-50">At least one lowercase character</li>
                            <li>At least one number, symbol, or whitespace character</li>
                        </ul>
                    </div> -->
                    <div class="col-12">
                        <app-gen-button (genClick)="submit()" [text]="'Enregistrer les modifications'" [customClass]="'mt-1 me-1'" [disabled]="!form.valid" [isLoading]="isSubmitLoading"></app-gen-button>
                        <!-- <button type="submit" class="btn btn-primary me-1 mt-1">Save changes</button> -->
                        <!-- <button type="reset" class="btn btn-outline-secondary mt-1">Discard</button> -->
                    </div>
                </div>
            </form>
            <!--/ form -->
        </ng-template>
    </div>
</div>
